Run linkedin-extract-page-followers action live
curl --request POST \
--url https://api.edges.run/v1/actions/linkedin-extract-page-followers/run/live \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"input": {
"linkedin_company_url": "<string>",
"custom_data": {}
},
"parameters": {},
"identity_ids": [
"44444444-4444-4444-4444-444444444444"
]
}
'const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
input: {linkedin_company_url: '<string>', custom_data: {}},
parameters: {},
identity_ids: ['44444444-4444-4444-4444-444444444444']
})
};
fetch('https://api.edges.run/v1/actions/linkedin-extract-page-followers/run/live', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.edges.run/v1/actions/linkedin-extract-page-followers/run/live"
payload = {
"input": {
"linkedin_company_url": "<string>",
"custom_data": {}
},
"parameters": {},
"identity_ids": ["44444444-4444-4444-4444-444444444444"]
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)[
{
"first_name": "<string>",
"last_name": "<string>",
"full_name": "<string>",
"sales_navigator_profile_id": "<string>",
"headline": "<string>",
"linkedin_profile_handle": "<string>",
"linkedin_profile_url": "<string>",
"followed_at": "<string>",
"profile_image_url": "<string>",
"linkedin_people_post_search_url": "<string>",
"linkedin_profile_id": 123
}
]Extract LinkedIn Page Followers
Extract LinkedIn Page Followers
Extract the list of followers of a LinkedIn company page. Requires page admin access.
POST
/
actions
/
linkedin-extract-page-followers
/
run
/
live
Run linkedin-extract-page-followers action live
curl --request POST \
--url https://api.edges.run/v1/actions/linkedin-extract-page-followers/run/live \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"input": {
"linkedin_company_url": "<string>",
"custom_data": {}
},
"parameters": {},
"identity_ids": [
"44444444-4444-4444-4444-444444444444"
]
}
'const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
input: {linkedin_company_url: '<string>', custom_data: {}},
parameters: {},
identity_ids: ['44444444-4444-4444-4444-444444444444']
})
};
fetch('https://api.edges.run/v1/actions/linkedin-extract-page-followers/run/live', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.edges.run/v1/actions/linkedin-extract-page-followers/run/live"
payload = {
"input": {
"linkedin_company_url": "<string>",
"custom_data": {}
},
"parameters": {},
"identity_ids": ["44444444-4444-4444-4444-444444444444"]
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)[
{
"first_name": "<string>",
"last_name": "<string>",
"full_name": "<string>",
"sales_navigator_profile_id": "<string>",
"headline": "<string>",
"linkedin_profile_handle": "<string>",
"linkedin_profile_url": "<string>",
"followed_at": "<string>",
"profile_image_url": "<string>",
"linkedin_people_post_search_url": "<string>",
"linkedin_profile_id": 123
}
]1 credit per 40 results · credit_ratio 0.025 · Credit costs
Company enrichments 10,000 / 24 h · Action limits
Agent skill
edges-linkedin-extract-page-followers — ready-made instructions for coding agents calling this endpoint.To run this automated action, the connected LinkedIn identity must be the page admin.
Otherwise, it won’t work — this is a LinkedIn limitation we cannot work around.
Free with Engagement Mode
No credits required when executed with an Engagement Identity. Set type: “engagement” when creating an Identity via API.
To run LinkedIn actions, you must first create an identity and connect a LinkedIn
account, either using our Chrome
Extension,
username/password login, or Managed
Accounts to run without connecting an account.
Prefer
X-Pagination-Next and X-Pagination-Previous over constructing
pagination URLs yourself. Stop only when X-Pagination-Next is absent —
a short page (fewer results than the previous page, or than the action’s usual
page size) does not mean you are done. LinkedIn’s page length can vary from
one request to the next; the result array length is not a stop condition.Authorizations
Query Parameters
Cursor value obtained from the X-Pagination-Next response header of a previous request, used to continue pagination. Cursors expire after 24 hours. If a cursor has expired or is invalid, pagination must be restarted from the beginning.
Maximum number of results per page (read-only; defined by the endpoint, actual count may be lower in some cases like throttling or internal limits).
Required range:
40 <= x <= 40Body
application/json
- Option 1
- Option 2
Show child attributes
Show child attributes
An array of Identity UUIDs linked to identities (e.g. LinkedIn) used to execute the Action. You must provide at least one valid UID with access to the integration. Do not use account_uid values — only user_uid is supported.
Example:
["44444444-4444-4444-4444-444444444444"]
Response
Successful response

